claqr1.f(3)

NAME
claqr1.f -

SYNOPSIS

  Functions/Subroutines
subroutine claqr1 (N, H, LDH, S1, S2, V)
CLAQR1 sets a scalar multiple of the first column of the product of 2-by-2 or 3-by-3 matrix H and specified shifts.

Function/Subroutine Documentation

  subroutine claqr1 (integerN, complex, dimension( ldh, * )H, integerLDH, complexS1, complexS2, complex, dimension( * )V)

CLAQR1 sets a scalar multiple of the first column of the product of 2-by-2 or 3-by-3 matrix H and specified shifts.

Purpose:

          Given a 2-by-2 or 3-by-3 matrix H, CLAQR1 sets v to a
          scalar multiple of the first column of the product
          (*)  K = (H - s1*I)*(H - s2*I)
          scaling to avoid overflows and most underflows.
          This is useful for starting double implicit shift bulges
          in the QR algorithm.

Parameters:
    N

              N is integer
                  Order of the matrix H. N must be either 2 or 3.

    H

              H is COMPLEX array of dimension (LDH,N)
                  The 2-by-2 or 3-by-3 matrix H in (*).

    LDH

              LDH is integer
                  The leading dimension of H as declared in
                  the calling procedure.  LDH.GE.N

    S1

              S1 is COMPLEX

    S2

              S2 is COMPLEX
              S1 and S2 are the shifts defining K in (*) above.

    V

              V is COMPLEX array of dimension N
                  A scalar multiple of the first column of the
                  matrix K in (*).

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    September 2012

Contributors:
    Karen Braman and Ralph Byers, Department of Mathematics, University of Kansas, USA

Definition at line 108 of file claqr1.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.